interactors {RpsiXML} | R Documentation

## Interactors of the given object

### Description

Return the interactors of the given object

### Usage

    interactors(x)

### Arguments

`x` | either an object of `psimi25InteractionEntry-class` or `psimi25ComplexEntry-class`

### Value

A matrix of interactor information

### Author(s)

Tony Chiang <tchiang@ebi.ac.uk>, Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`psimi25InteractionEntry-class`, `psimi25ComplexEntry-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    hprdxml <- file.path(xmlDir, "hprd_200709_test.xml")
    hprdSet <- parsePsimi25Interaction(hprdxml, HPRD.PSIMI25)

    interactors(hprdSet)

    ## Not run:
    intactComplexxml <- file.path(xmlDir,"intact_complexSample.xml")
    intactComplexSet <- parsePsimi25Complex(intactComplexxml,
    INTACT.PSIMI25)

    interactors(intactComplexSet)
    ## End(Not run)

[Package RpsiXML version 1.0.0 Index]